PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

May 23, 2010 // 12:37 am - This weekend (linked above) reports that Red Dead Redemption (released on May 18 in North America and May 21 in Europe) requires updating your PlayStation 3 entertainment system to PS3 Firmware 3.21 or higher, which also removes the OtherOS functionality along with the ability to use the PS3 Exploit and likely PS3 Custom Firmware.

However, according to several Forum members (including blood911, Chivafighter and IanJ) it may actually require up to PS3 Firmware 3.30 depending on your region.

Additionally, IanJ also reports that ModNation Racers requires PS3 Firmware 3.21 to play it on Sony's PlayStation 3.

To quote from TSA: "Rockstar's Red Dead Redemption not only requires that particular system software to run, but handily includes it on the disk for easy installation, too.

Chances are there have been other games out since April 1st that required the OtherOS removing firmware update, but Redemption is likely to be one of the higher profile titles to do, and as far as we know this isn't stated on the box at all so consider this a notice if you're still to pick up the game."

The decision is now left to the end users: Update your PS3 console to the latest Firmware to play new titles and game online, or hold out for GeoHot to release his PS3 Custom Firmware with hopes that more PS3 hacks are discovered and new PS3 exploits surface to further unlock the PlayStation 3.

Of course, for those who can afford it, there is another option... simply buy a second PS3 and update it to the latest PlayStation 3 Firmware version while keeping your pre-3.21 FW machine with OtherOS in the closet until it can be put to good use.

Red Dead Redemption Requires PS3 Firmware 3.21 or Higher

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#8 - livpool - May 23, 2010 // 3:35 am
livpool's Avatar
Quote Originally Posted by PS3 News View Post
I am going to wait it out myself, still on PS3 Firmware 1.10 here.

Now THAT'S commitment! lol

#7 - Warrorar - May 23, 2010 // 3:33 am
Warrorar's Avatar
But isnt there a chance also for people with 3.21+? I give an example.

Someone is at 3.30 and doesn't have the ability to use otherOS. There is a new Firmware 3.40 and some days later geohot/hades who ever, create a custom firmware called 3.40oos. this guy at 3.30 downloads now the update 3.40oos. when he wanna use that file for updating the console see the update as an normal 3.40 update because its signed with the correct key.
isn't that right?

so that would mean its not important what firmware do you have. the most important thing is that you have a lower firmware, as the custom firmware you wanna upgrade to. o.o

#6 - GrandpaHomer - May 23, 2010 // 3:27 am
GrandpaHomer's Avatar
Quote Originally Posted by PS3 News View Post
Additionally, IanJ also reports that ModNation Racers requires PS3 Firmware 3.21 to play it on Sony's PlayStation 3.

This was clearly intentional as quite a lot people was after this PS3 / PSP exclusive "Mario Kart" game... There is NO way this game could actually depend on the new firmware or that or that it would really NEED it to trun - this "necessity" was stiched up and added to the game in tha last minute before the release. Shame on youSony!! Lucky me I've not pre-oreder it or pick that up this Friday at store - the high price was one of the aspects too.

Where are the good "old" times (like last year) where you could get majority of new games with a huge discount on preorders or at the time of the release in some supermarkets? Looks like not anymore

At least - thanks to Sony - I'm not even tempted now to purchase any more new games, still have PILES of old ones to even play through and till I'll either be able to get another PS3 (or some progress will be made on the CFW front) most of the overpriced new games will be much affordable anyway. The only one I'm really after is LBP2 and hopefully till it's release I'll be able to play new games on go online one way or another...

#5 - SCE - May 23, 2010 // 2:53 am
SCE's Avatar
Boss, it would be nice to dump 1.10 firmware and then compare it with a 3.XX FW to see the differences...

#4 - calagan - May 23, 2010 // 1:44 am
calagan's Avatar
I just ordered my XBox 360.

#3 - PS4 News - May 23, 2010 // 12:45 am
PS4 News's Avatar
Agreed, this was definitely inevitable as Sony mentioned themselves before 3.21 was released.
the following features will no longer be available;

• Playback of PS3 software titles or Blu-ray Disc videos that require PS3 system software version 3.21 or later

I am going to wait it out myself, still on PS3 Firmware 1.10 here.

#2 - shummyr - May 23, 2010 // 12:41 am
shummyr's Avatar
Not a big suprise here, this is just how the game is played.

#1 - livpool - May 23, 2010 // 12:40 am
livpool's Avatar
well it was always gonna come, time for the last few thousand people to finally update i guess.

couldn't be too much more people not updated after this.